﻿namespace Tiobon.Core.IServices;

/// <summary>
/// 培训讲师异动(自定义服务接口)
/// </summary>	
public interface IGhre_TeacherChangeServices : IBaseServices<Ghre_TeacherChange, Ghre_TeacherChangeDto, InsertGhre_TeacherChangeInput, EditGhre_TeacherChangeInput>
{
    Task<ServiceResult> UpdateStatus(InsertGhre_TeacherChangeInput input, string status);

    Task<ServiceResult<long>> InsertByStatus(InsertGhre_TeacherChangeInput insertModel, string status);

    Task<ServiceResult<Ghre_TeacherChangeDto>> QueryLast(int teacherId);
}