﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_StaffTraining.cs
*
*功 能： N / A
* 类 名： Ghra_StaffTraining
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/9/18 15:41:18  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghra_StaffTraining (Dto.Base)
/// </summary>
public class Ghra_StaffTrainingBase
{

    /// <summary>
    /// StaffTrainingID
    /// </summary>
    public int? StaffTrainingID { get; set; }

    /// <summary>
    /// StaffID
    /// </summary>
    public int? StaffID { get; set; }

    /// <summary>
    /// TrainingOrgID
    /// </summary>
    public int? TrainingOrgID { get; set; }

    /// <summary>
    /// TrainingOrgName
    /// </summary>
    [Display(Name = "TrainingOrgName"), Description("TrainingOrgName"), MaxLength(1000, ErrorMessage = "TrainingOrgName 不能超过 1000 个字符")]
    public string TrainingOrgName { get; set; }

    /// <summary>
    /// CourseID
    /// </summary>
    public int? CourseID { get; set; }

    /// <summary>
    /// CourseName
    /// </summary>
    [Display(Name = "CourseName"), Description("CourseName"), MaxLength(1000, ErrorMessage = "CourseName 不能超过 1000 个字符")]
    public string CourseName { get; set; }

    /// <summary>
    /// ClassHour
    /// </summary>
    [Display(Name = "ClassHour"), Description("ClassHour"), Column(TypeName = "decimal(18,2)")]
    public decimal? ClassHour { get; set; }

    /// <summary>
    /// IsPass
    /// </summary>
    public int? IsPass { get; set; }

    /// <summary>
    /// ClassCredit
    /// </summary>
    [Display(Name = "ClassCredit"), Description("ClassCredit"), Column(TypeName = "decimal(18,2)")]
    public decimal? ClassCredit { get; set; }

    /// <summary>
    /// BeginDate
    /// </summary>
    public DateTime? BeginDate { get; set; }

    /// <summary>
    /// EndDate
    /// </summary>
    public DateTime? EndDate { get; set; }

    /// <summary>
    /// AttachmentIDs
    /// </summary>
    [Display(Name = "AttachmentIDs"), Description("AttachmentIDs"), MaxLength(-1, ErrorMessage = "AttachmentIDs 不能超过 -1 个字符")]
    public string AttachmentIDs { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
