﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_Survey.cs
*
*功 能： N / A
* 类 名： Ghre_Survey
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/4/8 11:45:17  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 问卷调查 (Dto.Base)
/// </summary>
public class Ghre_SurveyBase
{

    /// <summary>
    /// 封面图
    /// </summary>
    [Display(Name = "CoverImageUrl"), Description("封面图"), MaxLength(128, ErrorMessage = "封面图 不能超过 128 个字符")]
    public string CoverImageUrl { get; set; }

    /// <summary>
    /// 问卷编号
    /// </summary>
    [Display(Name = "SurveyNo"), Description("问卷编号"), MaxLength(32, ErrorMessage = "问卷编号 不能超过 32 个字符")]
    public string SurveyNo { get; set; }

    /// <summary>
    /// 问卷名称
    /// </summary>
    [Display(Name = "SurveyName"), Description("问卷名称"), MaxLength(64, ErrorMessage = "问卷名称 不能超过 64 个字符")]
    public string SurveyName { get; set; }

    /// <summary>
    /// 问卷显示名称
    /// </summary>
    [Display(Name = "SurveyDisplayName"), Description("问卷显示名称"), MaxLength(64, ErrorMessage = "问卷显示名称 不能超过 64 个字符")]
    public string SurveyDisplayName { get; set; }

    /// <summary>
    /// 分类
    /// </summary>
    [Display(Name = "SurveyClass"), Description("分类"), MaxLength(32, ErrorMessage = "分类 不能超过 32 个字符")]
    public string SurveyClass { get; set; }

    /// <summary>
    /// 开始时间
    /// </summary>
    public DateTime? BeginTime { get; set; }

    /// <summary>
    /// 结束时间
    /// </summary>
    public DateTime? EndTime { get; set; }

    /// <summary>
    /// 结束语
    /// </summary>
    [Display(Name = "ClosingRemark"), Description("结束语"), MaxLength(2000, ErrorMessage = "结束语 不能超过 2000 个字符")]
    public string ClosingRemark { get; set; }

    /// <summary>
    /// 是否允许查看结果
    /// </summary>
    public bool? IsAllowViewResult { get; set; }

    /// <summary>
    /// 是否需要登录
    /// </summary>
    public bool? IsRequireLogin { get; set; }

    /// <summary>
    /// 是否匿名
    /// </summary>
    public bool? IsAnonymous { get; set; }

    /// <summary>
    /// 是否积分奖励
    /// </summary>
    public bool? IsRewardPoint { get; set; }

    /// <summary>
    /// 奖励积分
    /// </summary>
    public int? PointRewardCount { get; set; }

    /// <summary>
    /// 部门范围
    /// </summary>
    [Display(Name = "DeptId"), Description("部门范围"), MaxLength(2000, ErrorMessage = "部门范围 不能超过 2000 个字符")]
    public string DeptId { get; set; }

    /// <summary>
    /// 员工范围
    /// </summary>
    [Display(Name = "StaffId"), Description("员工范围"), MaxLength(2000, ErrorMessage = "员工范围 不能超过 2000 个字符")]
    public string StaffId { get; set; }

    /// <summary>
    /// 风格
    /// </summary>
    [Display(Name = "PaperStyle"), Description("风格"), MaxLength(32, ErrorMessage = "风格 不能超过 32 个字符")]
    public string PaperStyle { get; set; }

    /// <summary>
    /// 说明
    /// </summary>
    [Display(Name = "DescText"), Description("说明"), MaxLength(2000, ErrorMessage = "说明 不能超过 2000 个字符")]
    public string DescText { get; set; }

    /// <summary>
    /// 标题对齐方式
    /// </summary>
    [Display(Name = "TitleAlign"), Description("标题对齐方式"), MaxLength(32, ErrorMessage = "标题对齐方式 不能超过 32 个字符")]
    public string TitleAlign { get; set; }

    /// <summary>
    /// 说明对齐方式
    /// </summary>
    [Display(Name = "DescAlign"), Description("说明对齐方式"), MaxLength(32, ErrorMessage = "说明对齐方式 不能超过 32 个字符")]
    public string DescAlign { get; set; }

    /// <summary>
    /// 是否显示序号
    /// </summary>
    public bool? ShowSortNo { get; set; }

    /// <summary>
    /// 是否允许多次提交
    /// </summary>
    public bool? IsAllowMutiSubmit { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Display(Name = "Status"), Description("状态"), MaxLength(32, ErrorMessage = "状态 不能超过 32 个字符")]
    public string Status { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 系统内置
    /// </summary>
    public int? BuiltIn { get; set; }
}
