﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrm_MessageText.cs
*
*功 能： N / A
* 类 名： Ghrm_MessageText
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/11/13 17:00:00  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrm_MessageText (Dto.Base)
/// </summary>
public class Ghrm_MessageTextBase
{

    /// <summary>
    /// MessageTextID
    /// </summary>
    public long? MessageTextID { get; set; }

    /// <summary>
    /// GroupType
    /// </summary>
    [Display(Name = "GroupType"), Description("GroupType"), MaxLength(100, ErrorMessage = "GroupType 不能超过 100 个字符")]
    public string GroupType { get; set; }

    /// <summary>
    /// Tag
    /// </summary>
    [Display(Name = "Tag"), Description("Tag"), MaxLength(100, ErrorMessage = "Tag 不能超过 100 个字符")]
    public string Tag { get; set; }

    /// <summary>
    /// Title
    /// </summary>
    [Display(Name = "Title"), Description("Title"), MaxLength(200, ErrorMessage = "Title 不能超过 200 个字符")]
    public string Title { get; set; }

    /// <summary>
    /// Content
    /// </summary>
    [Display(Name = "Content"), Description("Content"), MaxLength(-1, ErrorMessage = "Content 不能超过 -1 个字符")]
    public string Content { get; set; }

    /// <summary>
    /// PicType
    /// </summary>
    [Display(Name = "PicType"), Description("PicType"), MaxLength(200, ErrorMessage = "PicType 不能超过 200 个字符")]
    public string PicType { get; set; }

    /// <summary>
    /// PicUrl
    /// </summary>
    [Display(Name = "PicUrl"), Description("PicUrl"), MaxLength(200, ErrorMessage = "PicUrl 不能超过 200 个字符")]
    public string PicUrl { get; set; }

    /// <summary>
    /// JumpType
    /// </summary>
    [Display(Name = "JumpType"), Description("JumpType"), MaxLength(200, ErrorMessage = "JumpType 不能超过 200 个字符")]
    public string JumpType { get; set; }

    /// <summary>
    /// APPUrl
    /// </summary>
    [Display(Name = "APPUrl"), Description("APPUrl"), MaxLength(200, ErrorMessage = "APPUrl 不能超过 200 个字符")]
    public string APPUrl { get; set; }

    /// <summary>
    /// WEBUrl
    /// </summary>
    [Display(Name = "WEBUrl"), Description("WEBUrl"), MaxLength(200, ErrorMessage = "WEBUrl 不能超过 200 个字符")]
    public string WEBUrl { get; set; }

    /// <summary>
    /// HtmlContent
    /// </summary>
    [Display(Name = "HtmlContent"), Description("HtmlContent"), MaxLength(-1, ErrorMessage = "HtmlContent 不能超过 -1 个字符")]
    public string HtmlContent { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// WorkID
    /// </summary>
    public int? WorkID { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// Reverse6
    /// </summary>
    [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// Reverse7
    /// </summary>
    [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// Reverse8
    /// </summary>
    [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// Reverse9
    /// </summary>
    [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }
}
