﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrs_LangKey.cs
*
*功 能： N / A
* 类 名： Ghrs_LangKey
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/5 19:40:32  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrs_LangKey (Dto.Base)
/// </summary>
public class Ghrs_LangKeyBase
{

    /// <summary>
    /// 多语设定(语言别，Key Value对应表)
    /// </summary>
    public int? LangKeyID { get; set; }

    /// <summary>
    /// 语言别 ID
    /// </summary>
    public int? LangID { get; set; }

    /// <summary>
    /// 语言Key
    /// </summary>
    [Display(Name = "LangKey"), Description("语言Key"), MaxLength(100, ErrorMessage = "语言Key 不能超过 100 个字符")]
    public string LangKey { get; set; }

    /// <summary>
    /// LangKeyType
    /// </summary>
    [Display(Name = "LangKeyType"), Description("LangKeyType"), MaxLength(100, ErrorMessage = "LangKeyType 不能超过 100 个字符")]
    public string LangKeyType { get; set; }

    /// <summary>
    /// 语言值
    /// </summary>
    [Display(Name = "LangValue"), Description("语言值"), MaxLength(-1, ErrorMessage = "语言值 不能超过 -1 个字符")]
    public string LangValue { get; set; }

    /// <summary>
    /// Value01
    /// </summary>
    [Display(Name = "Value01"), Description("Value01"), MaxLength(-1, ErrorMessage = "Value01 不能超过 -1 个字符")]
    public string Value01 { get; set; }

    /// <summary>
    /// Value02
    /// </summary>
    [Display(Name = "Value02"), Description("Value02"), MaxLength(-1, ErrorMessage = "Value02 不能超过 -1 个字符")]
    public string Value02 { get; set; }

    /// <summary>
    /// Value03
    /// </summary>
    [Display(Name = "Value03"), Description("Value03"), MaxLength(-1, ErrorMessage = "Value03 不能超过 -1 个字符")]
    public string Value03 { get; set; }

    /// <summary>
    /// Value04
    /// </summary>
    [Display(Name = "Value04"), Description("Value04"), MaxLength(-1, ErrorMessage = "Value04 不能超过 -1 个字符")]
    public string Value04 { get; set; }

    /// <summary>
    /// Value05
    /// </summary>
    [Display(Name = "Value05"), Description("Value05"), MaxLength(-1, ErrorMessage = "Value05 不能超过 -1 个字符")]
    public string Value05 { get; set; }

    /// <summary>
    /// Value06
    /// </summary>
    [Display(Name = "Value06"), Description("Value06"), MaxLength(-1, ErrorMessage = "Value06 不能超过 -1 个字符")]
    public string Value06 { get; set; }

    /// <summary>
    /// Value07
    /// </summary>
    [Display(Name = "Value07"), Description("Value07"), MaxLength(-1, ErrorMessage = "Value07 不能超过 -1 个字符")]
    public string Value07 { get; set; }

    /// <summary>
    /// Value08
    /// </summary>
    [Display(Name = "Value08"), Description("Value08"), MaxLength(-1, ErrorMessage = "Value08 不能超过 -1 个字符")]
    public string Value08 { get; set; }

    /// <summary>
    /// Value09
    /// </summary>
    [Display(Name = "Value09"), Description("Value09"), MaxLength(-1, ErrorMessage = "Value09 不能超过 -1 个字符")]
    public string Value09 { get; set; }

    /// <summary>
    /// Value10
    /// </summary>
    [Display(Name = "Value10"), Description("Value10"), MaxLength(-1, ErrorMessage = "Value10 不能超过 -1 个字符")]
    public string Value10 { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// CompanyID
    /// </summary>
    public int? CompanyID { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(-1, ErrorMessage = "Reverse1 不能超过 -1 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(-1, ErrorMessage = "Reverse2 不能超过 -1 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(-1, ErrorMessage = "Reverse3 不能超过 -1 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    public int? Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    public int? Reverse5 { get; set; }

    /// <summary>
    /// TableName
    /// </summary>
    [Display(Name = "TableName"), Description("TableName"), MaxLength(100, ErrorMessage = "TableName 不能超过 100 个字符")]
    public string TableName { get; set; }

    /// <summary>
    /// TableID
    /// </summary>
    public int? TableID { get; set; }
}
