﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_UshioPlan.cs
*
*功 能： N / A
* 类 名： Ghre_UshioPlan
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/3/5 9:54:31  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 【牛尾】培训计划 (Model)
/// </summary>
[SugarTable("Ghre_UshioPlan", "Ghre_UshioPlan"), Entity(TableCnName = "【牛尾】培训计划", TableName = "Ghre_UshioPlan")]
public class Ghre_UshioPlan : BasePoco
{

    /// <summary>
    /// 年份
    /// </summary>
    public int? Year { get; set; }

    /// <summary>
    /// 类别
    /// </summary>
    [Display(Name = "TrainCategory"), Description("类别"), MaxLength(32, ErrorMessage = "类别 不能超过 32 个字符")]
    public string TrainCategory { get; set; }

    /// <summary>
    /// 部门ID
    /// </summary>
    public int? DeptId { get; set; }

    /// <summary>
    /// 课程ID
    /// </summary>
    public long? CourseId { get; set; }

    /// <summary>
    /// 课程
    /// </summary>
    [Display(Name = "CourseName"), Description("课程"), MaxLength(64, ErrorMessage = "课程 不能超过 64 个字符")]
    public string CourseName { get; set; }

    /// <summary>
    /// 培训对象
    /// </summary>
    [Display(Name = "StaffIds"), Description("培训对象"), MaxLength(2000, ErrorMessage = "培训对象 不能超过 2000 个字符")]
    public string StaffIds { get; set; }

    /// <summary>
    /// 现状
    /// </summary>
    [Display(Name = "StatusQuo"), Description("现状"), MaxLength(2000, ErrorMessage = "现状 不能超过 2000 个字符")]
    public string StatusQuo { get; set; }

    /// <summary>
    /// 培训预期效果
    /// </summary>
    [Display(Name = "DesiredResult"), Description("培训预期效果"), MaxLength(2000, ErrorMessage = "培训预期效果 不能超过 2000 个字符")]
    public string DesiredResult { get; set; }

    /// <summary>
    /// 需求人数
    /// </summary>
    public int? TrainNum { get; set; }

    /// <summary>
    /// 培训天数
    /// </summary>
    [Display(Name = "TrainDays"), Description("培训天数"), Column(TypeName = "decimal(20,2)")]
    public decimal? TrainDays { get; set; }

    /// <summary>
    /// 内外训
    /// </summary>
    [Display(Name = "InOrOut"), Description("内外训"), MaxLength(32, ErrorMessage = "内外训 不能超过 32 个字符")]
    public string InOrOut { get; set; }

    /// <summary>
    /// 指导者
    /// </summary>
    [Display(Name = "Leader"), Description("指导者"), MaxLength(64, ErrorMessage = "指导者 不能超过 64 个字符")]
    public string Leader { get; set; }

    /// <summary>
    /// 合计预算
    /// </summary>
    [Display(Name = "TotalBudget"), Description("合计预算"), Column(TypeName = "decimal(20,2)")]
    public decimal? TotalBudget { get; set; }

    /// <summary>
    /// 计划实施月份
    /// </summary>
    [Display(Name = "Month"), Description("计划实施月份"), MaxLength(128, ErrorMessage = "计划实施月份 不能超过 128 个字符")]
    public string Month { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Display(Name = "Status"), Description("状态"), MaxLength(32, ErrorMessage = "状态 不能超过 32 个字符")]
    public string Status { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }
}
