﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_HumanRequest.cs
*
*功 能： N / A
* 类 名： Ghrh_HumanRequest
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/1/20 16:22:49  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 人力需求维护 (Model)
/// </summary>
[SugarTable("Ghrh_HumanRequest", "Ghrh_HumanRequest"), Entity(TableCnName = "人力需求维护", TableName = "Ghrh_HumanRequest")]
public class Ghrh_HumanRequest : BasePoco
{

    /// <summary>
    /// 订单号
    /// </summary>
    [Display(Name = "RequestNo"), Description("订单号"), MaxLength(32, ErrorMessage = "订单号 不能超过 32 个字符")]
    public string RequestNo { get; set; }

    /// <summary>
    /// 编制内外 
    /// </summary>
    [Display(Name = "InOrOut"), Description("编制内外 "), MaxLength(32, ErrorMessage = "编制内外  不能超过 32 个字符")]
    public string InOrOut { get; set; }

    /// <summary>
    /// 招聘类别
    /// </summary>
    [Display(Name = "ResumeType"), Description("招聘类别"), MaxLength(32, ErrorMessage = "招聘类别 不能超过 32 个字符")]
    public string ResumeType { get; set; }

    /// <summary>
    /// 重要度
    /// </summary>
    [Display(Name = "ImportanceDegree"), Description("重要度"), MaxLength(32, ErrorMessage = "重要度 不能超过 32 个字符")]
    public string ImportanceDegree { get; set; }

    /// <summary>
    /// 年度人力配置单ID
    /// </summary>
    public long? YearHumanId { get; set; }

    /// <summary>
    /// 需求月份
    /// </summary>
    [Display(Name = "YearMonth"), Description("需求月份"), MaxLength(32, ErrorMessage = "需求月份 不能超过 32 个字符")]
    public string YearMonth { get; set; }

    /// <summary>
    /// 部门ID
    /// </summary>
    public int? DeptId { get; set; }

    /// <summary>
    /// 岗位ID
    /// </summary>
    public int? TitleId { get; set; }

    /// <summary>
    /// 职称ID
    /// </summary>
    public int? JobId { get; set; }

    /// <summary>
    /// 职等ID
    /// </summary>
    public int? GradeId { get; set; }

    /// <summary>
    /// 需求人数
    /// </summary>
    public int? RequestCount { get; set; }

    /// <summary>
    /// 学历要求
    /// </summary>
    [Display(Name = "Degree"), Description("学历要求"), MaxLength(200, ErrorMessage = "学历要求 不能超过 200 个字符")]
    public string Degree { get; set; }

    /// <summary>
    /// 工作年限
    /// </summary>
    [Display(Name = "WorkExperience"), Description("工作年限"), MaxLength(200, ErrorMessage = "工作年限 不能超过 200 个字符")]
    public string WorkExperience { get; set; }

    /// <summary>
    /// 语言要求
    /// </summary>
    [Display(Name = "LanguageRequirement"), Description("语言要求"), MaxLength(2000, ErrorMessage = "语言要求 不能超过 2000 个字符")]
    public string LanguageRequirement { get; set; }

    /// <summary>
    /// 建议到岗时间
    /// </summary>
    public DateTime? InTime { get; set; }

    /// <summary>
    /// 汇报对象ID
    /// </summary>
    public int? ReportId { get; set; }

    /// <summary>
    /// 年龄
    /// </summary>
    [Display(Name = "Age"), Description("年龄"), MaxLength(32, ErrorMessage = "年龄 不能超过 32 个字符")]
    public string Age { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Display(Name = "Gender"), Description("状态"), MaxLength(32, ErrorMessage = "状态 不能超过 32 个字符")]
    public string Gender { get; set; }

    /// <summary>
    /// 知识要求
    /// </summary>
    [Display(Name = "KnowledgeRequirement"), Description("知识要求"), MaxLength(2000, ErrorMessage = "知识要求 不能超过 2000 个字符")]
    public string KnowledgeRequirement { get; set; }

    /// <summary>
    /// 技能要求
    /// </summary>
    [Display(Name = "SkillRequirement"), Description("技能要求"), MaxLength(2000, ErrorMessage = "技能要求 不能超过 2000 个字符")]
    public string SkillRequirement { get; set; }

    /// <summary>
    /// 工作内容
    /// </summary>
    [Display(Name = "WorkContent"), Description("工作内容"), MaxLength(2000, ErrorMessage = "工作内容 不能超过 2000 个字符")]
    public string WorkContent { get; set; }

    /// <summary>
    /// 推荐人数
    /// </summary>
    public int? RecommendCount { get; set; }

    /// <summary>
    /// 面试人数
    /// </summary>
    public int? InterviewCount { get; set; }

    /// <summary>
    /// 录用人数
    /// </summary>
    public int? OfferCount { get; set; }

    /// <summary>
    /// 报道人数
    /// </summary>
    public int? CheckInCount { get; set; }

    /// <summary>
    /// 发起人ID
    /// </summary>
    public int? ApplicantId { get; set; }

    /// <summary>
    /// WorkID
    /// </summary>
    public int? WorkID { get; set; }

    /// <summary>
    /// WorkNo
    /// </summary>
    [Display(Name = "WorkNo"), Description("WorkNo"), MaxLength(100, ErrorMessage = "WorkNo 不能超过 100 个字符")]
    public string WorkNo { get; set; }

    /// <summary>
    /// ToDoType
    /// </summary>
    [Display(Name = "ToDoType"), Description("ToDoType"), MaxLength(100, ErrorMessage = "ToDoType 不能超过 100 个字符")]
    public string ToDoType { get; set; }

    /// <summary>
    /// BatchSID
    /// </summary>
    [Display(Name = "BatchSID"), Description("BatchSID"), MaxLength(100, ErrorMessage = "BatchSID 不能超过 100 个字符")]
    public string BatchSID { get; set; }

    /// <summary>
    /// WorkState
    /// </summary>
    public int? WorkState { get; set; }

    /// <summary>
    /// ShiftID
    /// </summary>
    public int? ShiftID { get; set; }

    /// <summary>
    /// ConfirmUserID
    /// </summary>
    public int? ConfirmUserID { get; set; }

    /// <summary>
    /// ConfirmTime
    /// </summary>
    public DateTime? ConfirmTime { get; set; }

    /// <summary>
    /// ConfirmComment
    /// </summary>
    [Display(Name = "ConfirmComment"), Description("ConfirmComment"), MaxLength(2000, ErrorMessage = "ConfirmComment 不能超过 2000 个字符")]
    public string ConfirmComment { get; set; }

    /// <summary>
    /// 同意人
    /// </summary>
    public long? AgreeUserId { get; set; }

    /// <summary>
    /// 同意时间
    /// </summary>
    public DateTime? AgreeTime { get; set; }

    /// <summary>
    /// 同意理由
    /// </summary>
    [Display(Name = "AgreeReason"), Description("同意理由"), MaxLength(2000, ErrorMessage = "同意理由 不能超过 2000 个字符")]
    public string AgreeReason { get; set; }

    /// <summary>
    /// 拒绝人
    /// </summary>
    public long? RefuseUserId { get; set; }

    /// <summary>
    /// 拒绝时间
    /// </summary>
    public DateTime? RefuseTime { get; set; }

    /// <summary>
    /// 拒绝理由
    /// </summary>
    [Display(Name = "RefuseReason"), Description("拒绝理由"), MaxLength(2000, ErrorMessage = "拒绝理由 不能超过 2000 个字符")]
    public string RefuseReason { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Display(Name = "Status"), Description("状态"), MaxLength(32, ErrorMessage = "状态 不能超过 32 个字符")]
    public string Status { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }
}
