﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_InterviewRecord.cs
*
*功 能： N / A
* 类 名： Ghrh_InterviewRecord
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/20 13:58:20  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 面试记录 (Model)
/// </summary>
[SugarTable("Ghrh_InterviewRecord", "Ghrh_InterviewRecord"), Entity(TableCnName = "面试记录", TableName = "Ghrh_InterviewRecord")]
public class Ghrh_InterviewRecord : BasePoco
{

    /// <summary>
    /// 订单ID
    /// </summary>
    public long? OrderId { get; set; }

    /// <summary>
    /// 轮数
    /// </summary>
    public int? Round { get; set; }

    /// <summary>
    /// 面试官ID
    /// </summary>
    public int? StaffId { get; set; }

    /// <summary>
    /// 预面试时间1
    /// </summary>
    [Display(Name = "PlanInterviewTime1"), Description("预面试时间1"), MaxLength(256, ErrorMessage = "预面试时间1 不能超过 256 个字符")]
    public string PlanInterviewTime1 { get; set; }

    /// <summary>
    /// 预面试时间2
    /// </summary>
    [Display(Name = "PlanInterviewTime2"), Description("预面试时间2"), MaxLength(256, ErrorMessage = "预面试时间2 不能超过 256 个字符")]
    public string PlanInterviewTime2 { get; set; }

    /// <summary>
    /// 预面试时间3
    /// </summary>
    [Display(Name = "PlanInterviewTime3"), Description("预面试时间3"), MaxLength(256, ErrorMessage = "预面试时间3 不能超过 256 个字符")]
    public string PlanInterviewTime3 { get; set; }

    /// <summary>
    /// 面试时间
    /// </summary>
    [Display(Name = "InterviewTime"), Description("面试时间"), MaxLength(256, ErrorMessage = "面试时间 不能超过 256 个字符")]
    public string InterviewTime { get; set; }

    /// <summary>
    /// 面试开始时间
    /// </summary>
    public DateTime? InterviewBeginTime { get; set; }

    /// <summary>
    /// 面试结束时间
    /// </summary>
    public DateTime? InterviewEndTime { get; set; }

    /// <summary>
    /// 简历首次查询时间
    /// </summary>
    public DateTime? FirstViewTime { get; set; }

    /// <summary>
    /// 简历首次查询时间
    /// </summary>
    public DateTime? LastViewTime { get; set; }

    /// <summary>
    /// 评估时间
    /// </summary>
    public DateTime? AssessTime { get; set; }

    /// <summary>
    /// 面试地点
    /// </summary>
    [Display(Name = "InterviewAddress"), Description("面试地点"), MaxLength(256, ErrorMessage = "面试地点 不能超过 256 个字符")]
    public string InterviewAddress { get; set; }

    /// <summary>
    /// 是否通过
    /// </summary>
    public bool? IsPass { get; set; }

    /// <summary>
    /// 面试结果
    /// </summary>
    [Display(Name = "InterviewResult"), Description("面试结果"), MaxLength(32, ErrorMessage = "面试结果 不能超过 32 个字符")]
    public string InterviewResult { get; set; }

    /// <summary>
    /// 面试结果说明
    /// </summary>
    [Display(Name = "InterviewResultRemark"), Description("面试结果说明"), MaxLength(2000, ErrorMessage = "面试结果说明 不能超过 2000 个字符")]
    public string InterviewResultRemark { get; set; }

    /// <summary>
    /// 待面试状态
    /// </summary>
    [Display(Name = "WaitInterviewStatus"), Description("待面试状态"), MaxLength(32, ErrorMessage = "待面试状态 不能超过 32 个字符")]
    public string WaitInterviewStatus { get; set; }

    /// <summary>
    /// 取消原因
    /// </summary>
    [Display(Name = "CancelReason"), Description("取消原因"), MaxLength(256, ErrorMessage = "取消原因 不能超过 256 个字符")]
    public string CancelReason { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    [Display(Name = "Status"), Description("状态"), MaxLength(32, ErrorMessage = "状态 不能超过 32 个字符")]
    public string Status { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 约面反馈
    /// </summary>
    [Display(Name = "AppointmentFeedback"), Description("约面反馈"), MaxLength(256, ErrorMessage = "约面反馈 不能超过 256 个字符")]
    public string AppointmentFeedback { get; set; }

    /// <summary>
    /// 筛选反馈
    /// </summary>
    [Display(Name = "FilterFeedback"), Description("筛选反馈"), MaxLength(256, ErrorMessage = "筛选反馈 不能超过 256 个字符")]
    public string FilterFeedback { get; set; }

    /// <summary>
    /// 录用反馈
    /// </summary>
    [Display(Name = "OfferFeedback"), Description("录用反馈"), MaxLength(256, ErrorMessage = "录用反馈 不能超过 256 个字符")]
    public string OfferFeedback { get; set; }

    /// <summary>
    /// 面试环节
    /// </summary>
    [Display(Name = "InterviewStepName"), Description("面试环节"), MaxLength(32, ErrorMessage = "面试环节 不能超过 32 个字符")]
    public string InterviewStepName { get; set; }

    /// <summary>
    /// 主面试人
    /// </summary>
    public bool? IsPrimary { get; set; }

    /// <summary>
    /// 邮箱
    /// </summary>
    [Display(Name = "Email"), Description("邮箱"), MaxLength(128, ErrorMessage = "邮箱 不能超过 128 个字符")]
    public string Email { get; set; }
}
