﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_ResumeInfoColumn.cs
*
*功 能： N / A
* 类 名： Ghrh_ResumeInfoColumn
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/2 14:30:17  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 简历信息栏位 (Model)
/// </summary>
[SugarTable("Ghrh_ResumeInfoColumn", "Ghrh_ResumeInfoColumn"), Entity(TableCnName = "简历信息栏位", TableName = "Ghrh_ResumeInfoColumn")]
public class Ghrh_ResumeInfoColumn : BasePoco
{

    /// <summary>
    /// 简历组别ID
    /// </summary>
    public long? ResumeInfoGroupId { get; set; }

    /// <summary>
    /// 栏位
    /// </summary>
    [Display(Name = "ResumeInfoColumnNo"), Description("栏位"), MaxLength(100, ErrorMessage = "栏位 不能超过 100 个字符")]
    public string ResumeInfoColumnNo { get; set; }

    /// <summary>
    /// 栏位说明
    /// </summary>
    [Display(Name = "ResumeInfoColumnName"), Description("栏位说明"), MaxLength(1000, ErrorMessage = "栏位说明 不能超过 1000 个字符")]
    public string ResumeInfoColumnName { get; set; }

    /// <summary>
    /// 多语Key
    /// </summary>
    [Display(Name = "MKey"), Description("多语Key"), MaxLength(200, ErrorMessage = "多语Key 不能超过 200 个字符")]
    public string MKey { get; set; }

    /// <summary>
    /// 表名
    /// </summary>
    [Display(Name = "TableName"), Description("表名"), MaxLength(100, ErrorMessage = "表名 不能超过 100 个字符")]
    public string TableName { get; set; }

    /// <summary>
    /// 表栏位
    /// </summary>
    [Display(Name = "ColumnName"), Description("表栏位"), MaxLength(100, ErrorMessage = "表栏位 不能超过 100 个字符")]
    public string ColumnName { get; set; }

    /// <summary>
    /// 一行一栏
    /// </summary>
    public int? IsSingleColumn { get; set; }

    /// <summary>
    /// 栏位类型
    /// </summary>
    [Display(Name = "ColumnType"), Description("栏位类型"), MaxLength(100, ErrorMessage = "栏位类型 不能超过 100 个字符")]
    public string ColumnType { get; set; }

    /// <summary>
    /// 数据类型
    /// </summary>
    [Display(Name = "DataType"), Description("数据类型"), MaxLength(100, ErrorMessage = "数据类型 不能超过 100 个字符")]
    public string DataType { get; set; }

    /// <summary>
    /// 数据来源方式
    /// </summary>
    [Display(Name = "DataSourceType"), Description("数据来源方式"), MaxLength(2000, ErrorMessage = "数据来源方式 不能超过 2000 个字符")]
    public string DataSourceType { get; set; }

    /// <summary>
    /// 数据来源
    /// </summary>
    [Display(Name = "DataSource"), Description("数据来源"), MaxLength(2000, ErrorMessage = "数据来源 不能超过 2000 个字符")]
    public string DataSource { get; set; }

    /// <summary>
    /// 初始值
    /// </summary>
    [Display(Name = "DefaultValue"), Description("初始值"), MaxLength(2000, ErrorMessage = "初始值 不能超过 2000 个字符")]
    public string DefaultValue { get; set; }

    /// <summary>
    /// 必填项
    /// </summary>
    public bool? IsRequired { get; set; }

    /// <summary>
    /// 可编辑
    /// </summary>
    public int? Editable { get; set; }

    /// <summary>
    /// IsBuildIn
    /// </summary>
    public int? IsBuildIn { get; set; }

    /// <summary>
    /// IsRelease
    /// </summary>
    public int? IsRelease { get; set; }

    /// <summary>
    /// 异动栏位
    /// </summary>
    public int? IsChangeColumn { get; set; }

    /// <summary>
    /// Column_43
    /// </summary>
    public int? IsQuickJoinColumn { get; set; }

    /// <summary>
    /// 初始化值
    /// </summary>
    [Display(Name = "InitValue"), Description("初始化值"), MaxLength(2000, ErrorMessage = "初始化值 不能超过 2000 个字符")]
    public string InitValue { get; set; }

    /// <summary>
    /// 占位文字
    /// </summary>
    [Display(Name = "Placeholder"), Description("占位文字"), MaxLength(2000, ErrorMessage = "占位文字 不能超过 2000 个字符")]
    public string Placeholder { get; set; }

    /// <summary>
    /// 是否主键栏位
    /// </summary>
    public int? IsPrimaryKey { get; set; }

    /// <summary>
    /// 员工可修改
    /// </summary>
    public int? CanModifyBySelf { get; set; }

    /// <summary>
    /// ESS 显示
    /// </summary>
    public int? CanEssDisplay { get; set; }

    /// <summary>
    /// 可多选
    /// </summary>
    public int? MultipleSelect { get; set; }

    /// <summary>
    /// 数据来源ID
    /// </summary>
    public int? DataSourceID { get; set; }

    /// <summary>
    /// 排序号
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 关联表名
    /// </summary>
    [Display(Name = "MapTableName"), Description("关联表名"), MaxLength(100, ErrorMessage = "关联表名 不能超过 100 个字符")]
    public string MapTableName { get; set; }

    /// <summary>
    /// 关联栏位
    /// </summary>
    [Display(Name = "MapColumnName"), Description("关联栏位"), MaxLength(100, ErrorMessage = "关联栏位 不能超过 100 个字符")]
    public string MapColumnName { get; set; }

    /// <summary>
    /// 查询条件
    /// </summary>
    public int? QueryCondition { get; set; }
}
