﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrs_Menu.cs
*
*功 能： N / A
* 类 名： Ghrs_Menu
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/9/3 15:32:53  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrs_Menu (Model)
/// </summary>
[SugarTable("Ghrs_Menu", "Ghrs_Menu"), Entity(TableCnName = "Ghrs_Menu", TableName = "Ghrs_Menu")]
public class Ghrs_Menu : BasePoco1
{

    /// <summary>
    /// MenuId
    /// </summary>
    [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = false), Display(Name = "表主键")]
    public int? MenuId { get; set; }

    /// <summary>
    /// MenuNo
    /// </summary>
    [Display(Name = "MenuNo"), Description("MenuNo"), MaxLength(100, ErrorMessage = "MenuNo 不能超过 100 个字符")]
    public string MenuNo { get; set; }

    /// <summary>
    /// MenuName
    /// </summary>
    [Display(Name = "MenuName"), Description("MenuName"), MaxLength(1000, ErrorMessage = "MenuName 不能超过 1000 个字符")]
    public string MenuName { get; set; }

    /// <summary>
    /// MKey
    /// </summary>
    [Display(Name = "MKey"), Description("MKey"), MaxLength(200, ErrorMessage = "MKey 不能超过 200 个字符")]
    public string MKey { get; set; }

    /// <summary>
    /// IconType
    /// </summary>
    [Display(Name = "IconType"), Description("IconType"), MaxLength(200, ErrorMessage = "IconType 不能超过 200 个字符")]
    public string IconType { get; set; }

    /// <summary>
    /// MenuUrl
    /// </summary>
    [Display(Name = "MenuUrl"), Description("MenuUrl"), MaxLength(500, ErrorMessage = "MenuUrl 不能超过 500 个字符")]
    public string MenuUrl { get; set; }

    /// <summary>
    /// MenuComponent
    /// </summary>
    [Display(Name = "MenuComponent"), Description("MenuComponent"), MaxLength(100, ErrorMessage = "MenuComponent 不能超过 100 个字符")]
    public string MenuComponent { get; set; }

    /// <summary>
    /// ParentMenuId
    /// </summary>
    public int? ParentMenuId { get; set; }

    /// <summary>
    /// MenuType
    /// </summary>
    [Display(Name = "MenuType"), Description("MenuType"), MaxLength(10, ErrorMessage = "MenuType 不能超过 10 个字符")]
    public string MenuType { get; set; }

    /// <summary>
    /// MenuType2
    /// </summary>
    [Display(Name = "MenuType2"), Description("MenuType2"), MaxLength(100, ErrorMessage = "MenuType2 不能超过 100 个字符")]
    public string MenuType2 { get; set; }

    /// <summary>
    /// FormType
    /// </summary>
    [Display(Name = "FormType"), Description("FormType"), MaxLength(100, ErrorMessage = "FormType 不能超过 100 个字符")]
    public string FormType { get; set; }

    /// <summary>
    /// DataPrivType
    /// </summary>
    [Display(Name = "DataPrivType"), Description("DataPrivType"), MaxLength(100, ErrorMessage = "DataPrivType 不能超过 100 个字符")]
    public string DataPrivType { get; set; }

    /// <summary>
    /// FlowID
    /// </summary>
    public int? FlowID { get; set; }

    /// <summary>
    /// MenuColDisplayType
    /// </summary>
    [Display(Name = "MenuColDisplayType"), Description("MenuColDisplayType"), MaxLength(100, ErrorMessage = "MenuColDisplayType 不能超过 100 个字符")]
    public string MenuColDisplayType { get; set; }

    /// <summary>
    /// MenuGroupTitle
    /// </summary>
    [Display(Name = "MenuGroupTitle"), Description("MenuGroupTitle"), MaxLength(100, ErrorMessage = "MenuGroupTitle 不能超过 100 个字符")]
    public string MenuGroupTitle { get; set; }

    /// <summary>
    /// QueryProcedure
    /// </summary>
    [Display(Name = "QueryProcedure"), Description("QueryProcedure"), MaxLength(200, ErrorMessage = "QueryProcedure 不能超过 200 个字符")]
    public string QueryProcedure { get; set; }

    /// <summary>
    /// EditProcedure
    /// </summary>
    [Display(Name = "EditProcedure"), Description("EditProcedure"), MaxLength(200, ErrorMessage = "EditProcedure 不能超过 200 个字符")]
    public string EditProcedure { get; set; }

    /// <summary>
    /// IUDProcedure
    /// </summary>
    [Display(Name = "IUDProcedure"), Description("IUDProcedure"), MaxLength(200, ErrorMessage = "IUDProcedure 不能超过 200 个字符")]
    public string IUDProcedure { get; set; }

    /// <summary>
    /// IsSTDMenu
    /// </summary>
    public int? IsSTDMenu { get; set; }

    /// <summary>
    /// IsWaterMark
    /// </summary>
    public int? IsWaterMark { get; set; }

    /// <summary>
    /// IsPWDAgain
    /// </summary>
    public int? IsPWDAgain { get; set; }

    /// <summary>
    /// IsFromExcel
    /// </summary>
    public int? IsFromExcel { get; set; }

    /// <summary>
    /// IsToExcel
    /// </summary>
    public int? IsToExcel { get; set; }

    /// <summary>
    /// IsNew
    /// </summary>
    public int? IsNew { get; set; }

    /// <summary>
    /// IsDetail
    /// </summary>
    public int? IsDetail { get; set; }

    /// <summary>
    /// IsUpdate
    /// </summary>
    public int? IsUpdate { get; set; }

    /// <summary>
    /// IsDel
    /// </summary>
    public int? IsDel { get; set; }

    /// <summary>
    /// IsQuery
    /// </summary>
    public int? IsQuery { get; set; }

    /// <summary>
    /// IsPrint
    /// </summary>
    public int? IsPrint { get; set; }

    /// <summary>
    /// IsLog
    /// </summary>
    public int? IsLog { get; set; }

    /// <summary>
    /// IsManual
    /// </summary>
    public int? IsManual { get; set; }

    /// <summary>
    /// IsCopy
    /// </summary>
    public int? IsCopy { get; set; }

    /// <summary>
    /// IsTBD1
    /// </summary>
    public int? IsTBD1 { get; set; }

    /// <summary>
    /// TBD1MKey
    /// </summary>
    [Display(Name = "TBD1MKey"), Description("TBD1MKey"), MaxLength(200, ErrorMessage = "TBD1MKey 不能超过 200 个字符")]
    public string TBD1MKey { get; set; }

    /// <summary>
    /// IsTBD2
    /// </summary>
    public int? IsTBD2 { get; set; }

    /// <summary>
    /// TBD2MKey
    /// </summary>
    [Display(Name = "TBD2MKey"), Description("TBD2MKey"), MaxLength(200, ErrorMessage = "TBD2MKey 不能超过 200 个字符")]
    public string TBD2MKey { get; set; }

    /// <summary>
    /// IsTBD3
    /// </summary>
    public int? IsTBD3 { get; set; }

    /// <summary>
    /// TBD3MKey
    /// </summary>
    [Display(Name = "TBD3MKey"), Description("TBD3MKey"), MaxLength(200, ErrorMessage = "TBD3MKey 不能超过 200 个字符")]
    public string TBD3MKey { get; set; }

    /// <summary>
    /// IsTBD4
    /// </summary>
    public int? IsTBD4 { get; set; }

    /// <summary>
    /// TBD4MKey
    /// </summary>
    [Display(Name = "TBD4MKey"), Description("TBD4MKey"), MaxLength(200, ErrorMessage = "TBD4MKey 不能超过 200 个字符")]
    public string TBD4MKey { get; set; }

    /// <summary>
    /// IsTBD5
    /// </summary>
    public int? IsTBD5 { get; set; }

    /// <summary>
    /// TBD5MKey
    /// </summary>
    [Display(Name = "TBD5MKey"), Description("TBD5MKey"), MaxLength(200, ErrorMessage = "TBD5MKey 不能超过 200 个字符")]
    public string TBD5MKey { get; set; }

    /// <summary>
    /// IsTBD6
    /// </summary>
    public int? IsTBD6 { get; set; }

    /// <summary>
    /// TBD6MKey
    /// </summary>
    [Display(Name = "TBD6MKey"), Description("TBD6MKey"), MaxLength(200, ErrorMessage = "TBD6MKey 不能超过 200 个字符")]
    public string TBD6MKey { get; set; }

    /// <summary>
    /// IsTBD7
    /// </summary>
    public int? IsTBD7 { get; set; }

    /// <summary>
    /// TBD7MKey
    /// </summary>
    [Display(Name = "TBD7MKey"), Description("TBD7MKey"), MaxLength(200, ErrorMessage = "TBD7MKey 不能超过 200 个字符")]
    public string TBD7MKey { get; set; }

    /// <summary>
    /// IsTBD8
    /// </summary>
    public int? IsTBD8 { get; set; }

    /// <summary>
    /// TBD8MKey
    /// </summary>
    [Display(Name = "TBD8MKey"), Description("TBD8MKey"), MaxLength(200, ErrorMessage = "TBD8MKey 不能超过 200 个字符")]
    public string TBD8MKey { get; set; }

    /// <summary>
    /// IsTBD9
    /// </summary>
    public int? IsTBD9 { get; set; }

    /// <summary>
    /// TBD9MKey
    /// </summary>
    [Display(Name = "TBD9MKey"), Description("TBD9MKey"), MaxLength(200, ErrorMessage = "TBD9MKey 不能超过 200 个字符")]
    public string TBD9MKey { get; set; }

    /// <summary>
    /// IsTBD10
    /// </summary>
    public int? IsTBD10 { get; set; }

    /// <summary>
    /// TBD10MKey
    /// </summary>
    [Display(Name = "TBD10MKey"), Description("TBD10MKey"), MaxLength(200, ErrorMessage = "TBD10MKey 不能超过 200 个字符")]
    public string TBD10MKey { get; set; }

    /// <summary>
    /// IsTBD11
    /// </summary>
    public int? IsTBD11 { get; set; }

    /// <summary>
    /// TBD11MKey
    /// </summary>
    [Display(Name = "TBD11MKey"), Description("TBD11MKey"), MaxLength(200, ErrorMessage = "TBD11MKey 不能超过 200 个字符")]
    public string TBD11MKey { get; set; }

    /// <summary>
    /// IsTBD12
    /// </summary>
    public int? IsTBD12 { get; set; }

    /// <summary>
    /// TBD12MKey
    /// </summary>
    [Display(Name = "TBD12MKey"), Description("TBD12MKey"), MaxLength(200, ErrorMessage = "TBD12MKey 不能超过 200 个字符")]
    public string TBD12MKey { get; set; }

    /// <summary>
    /// IsTBD13
    /// </summary>
    public int? IsTBD13 { get; set; }

    /// <summary>
    /// TBD13MKey
    /// </summary>
    [Display(Name = "TBD13MKey"), Description("TBD13MKey"), MaxLength(200, ErrorMessage = "TBD13MKey 不能超过 200 个字符")]
    public string TBD13MKey { get; set; }

    /// <summary>
    /// IsTBD14
    /// </summary>
    public int? IsTBD14 { get; set; }

    /// <summary>
    /// TBD14MKey
    /// </summary>
    [Display(Name = "TBD14MKey"), Description("TBD14MKey"), MaxLength(200, ErrorMessage = "TBD14MKey 不能超过 200 个字符")]
    public string TBD14MKey { get; set; }

    /// <summary>
    /// IsTBD15
    /// </summary>
    public int? IsTBD15 { get; set; }

    /// <summary>
    /// TBD15MKey
    /// </summary>
    [Display(Name = "TBD15MKey"), Description("TBD15MKey"), MaxLength(200, ErrorMessage = "TBD15MKey 不能超过 200 个字符")]
    public string TBD15MKey { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// Reverse6
    /// </summary>
    [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// Reverse7
    /// </summary>
    [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// Reverse8
    /// </summary>
    [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// Reverse9
    /// </summary>
    [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// AppUrl
    /// </summary>
    [Display(Name = "AppUrl"), Description("AppUrl"), MaxLength(200, ErrorMessage = "AppUrl 不能超过 200 个字符")]
    public string AppUrl { get; set; }
}
