﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrz_Shihua_OA_Employment.cs
*
*功 能： N / A
* 类 名： Ghrz_Shihua_OA_Employment
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/27 10:04:45  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrz_Shihua_OA_Employment (Model)
/// </summary>
[SugarTable("Ghrz_Shihua_OA_Employment", "Ghrz_Shihua_OA_Employment"), Entity(TableCnName = "Ghrz_Shihua_OA_Employment", TableName = "Ghrz_Shihua_OA_Employment")]
public class Ghrz_Shihua_OA_Employment
//: BasePoco1
{


    /// <summary>
    /// 创建时间
    /// </summary>
    [Display(Name = "创建时间"), SugarColumn(IsOnlyIgnoreUpdate = true)]
    public DateTime? CreateTime { get; set; }
    /// <summary>
    /// EmploymentID
    /// </summary>
    [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = false), Display(Name = "表主键")]
    public int? EmploymentID { get; set; }

    /// <summary>
    /// UserNo
    /// </summary>
    [Display(Name = "UserNo"), Description("UserNo"), MaxLength(100, ErrorMessage = "UserNo 不能超过 100 个字符")]
    public string UserNo { get; set; }

    /// <summary>
    /// 单号
    /// </summary>
    [Display(Name = "WorkNo"), Description("单号"), MaxLength(100, ErrorMessage = "单号 不能超过 100 个字符")]
    public string WorkNo { get; set; }

    /// <summary>
    /// 单据类别
    /// </summary>
    [Display(Name = "WorkType"), Description("单据类别"), MaxLength(100, ErrorMessage = "单据类别 不能超过 100 个字符")]
    public string WorkType { get; set; }

    /// <summary>
    /// 发起人工号
    /// </summary>
    [Display(Name = "StaffNo"), Description("发起人工号"), MaxLength(100, ErrorMessage = "发起人工号 不能超过 100 个字符")]
    public string StaffNo { get; set; }

    /// <summary>
    /// 候选人姓名
    /// </summary>
    [Display(Name = "EmployName"), Description("候选人姓名"), MaxLength(100, ErrorMessage = "候选人姓名 不能超过 100 个字符")]
    public string EmployName { get; set; }

    /// <summary>
    /// 身份证类别
    /// </summary>
    [Display(Name = "IDCardType"), Description("身份证类别"), MaxLength(100, ErrorMessage = "身份证类别 不能超过 100 个字符")]
    public string IDCardType { get; set; }

    /// <summary>
    /// 身份证号
    /// </summary>
    [Display(Name = "IDCardNo"), Description("身份证号"), MaxLength(100, ErrorMessage = "身份证号 不能超过 100 个字符")]
    public string IDCardNo { get; set; }

    /// <summary>
    /// 生效日期
    /// </summary>
    public DateTime? EffectDate { get; set; }

    /// <summary>
    /// 员工性质
    /// </summary>
    [Display(Name = "StaffType"), Description("员工性质"), MaxLength(100, ErrorMessage = "员工性质 不能超过 100 个字符")]
    public string StaffType { get; set; }

    /// <summary>
    /// 学历编号
    /// </summary>
    [Display(Name = "EduDegree"), Description("学历编号"), MaxLength(100, ErrorMessage = "学历编号 不能超过 100 个字符")]
    public string EduDegree { get; set; }

    /// <summary>
    /// LegalCompanyNo
    /// </summary>
    [Display(Name = "LegalCompanyNo"), Description("LegalCompanyNo"), MaxLength(100, ErrorMessage = "LegalCompanyNo 不能超过 100 个字符")]
    public string LegalCompanyNo { get; set; }

    /// <summary>
    /// 计薪类别编号
    /// </summary>
    [Display(Name = "PeriodMasterNo"), Description("计薪类别编号"), MaxLength(100, ErrorMessage = "计薪类别编号 不能超过 100 个字符")]
    public string PeriodMasterNo { get; set; }

    /// <summary>
    /// 部门编号
    /// </summary>
    [Display(Name = "DeptNo"), Description("部门编号"), MaxLength(100, ErrorMessage = "部门编号 不能超过 100 个字符")]
    public string DeptNo { get; set; }

    /// <summary>
    /// 入职日
    /// </summary>
    public DateTime? InDate { get; set; }

    /// <summary>
    /// 岗位编号
    /// </summary>
    [Display(Name = "TitleNo"), Description("岗位编号"), MaxLength(100, ErrorMessage = "岗位编号 不能超过 100 个字符")]
    public string TitleNo { get; set; }

    /// <summary>
    /// 成本中心编号
    /// </summary>
    [Display(Name = "CostCenterNo"), Description("成本中心编号"), MaxLength(100, ErrorMessage = "成本中心编号 不能超过 100 个字符")]
    public string CostCenterNo { get; set; }

    /// <summary>
    /// 职级编号
    /// </summary>
    [Display(Name = "GradeNo"), Description("职级编号"), MaxLength(100, ErrorMessage = "职级编号 不能超过 100 个字符")]
    public string GradeNo { get; set; }

    /// <summary>
    /// 招聘途径
    /// </summary>
    [Display(Name = "RecruitFrom"), Description("招聘途径"), MaxLength(100, ErrorMessage = "招聘途径 不能超过 100 个字符")]
    public string RecruitFrom { get; set; }

    /// <summary>
    /// 厂区编号
    /// </summary>
    [Display(Name = "ZoneNo"), Description("厂区编号"), MaxLength(100, ErrorMessage = "厂区编号 不能超过 100 个字符")]
    public string ZoneNo { get; set; }

    /// <summary>
    /// 基本工资
    /// </summary>
    [Display(Name = "S02"), Description("基本工资"), Column(TypeName = "decimal(18,2)")]
    public decimal? S02 { get; set; }

    /// <summary>
    /// 职务加给基数
    /// </summary>
    [Display(Name = "S03"), Description("职务加给基数"), Column(TypeName = "decimal(18,2)")]
    public decimal? S03 { get; set; }

    /// <summary>
    /// 保密费
    /// </summary>
    [Display(Name = "S04"), Description("保密费"), Column(TypeName = "decimal(18,2)")]
    public decimal? S04 { get; set; }

    /// <summary>
    /// 岗位技能工资
    /// </summary>
    [Display(Name = "S05"), Description("岗位技能工资"), Column(TypeName = "decimal(18,2)")]
    public decimal? S05 { get; set; }

    /// <summary>
    /// 全勤奖基数
    /// </summary>
    [Display(Name = "S06"), Description("全勤奖基数"), Column(TypeName = "decimal(18,2)")]
    public decimal? S06 { get; set; }

    /// <summary>
    /// 管理绩效
    /// </summary>
    [Display(Name = "S21"), Description("管理绩效"), Column(TypeName = "decimal(18,2)")]
    public decimal? S21 { get; set; }

    /// <summary>
    /// 岗位流动金
    /// </summary>
    [Display(Name = "S22"), Description("岗位流动金"), Column(TypeName = "decimal(18,2)")]
    public decimal? S22 { get; set; }

    /// <summary>
    /// 房贴
    /// </summary>
    [Display(Name = "S23"), Description("房贴"), Column(TypeName = "decimal(18,2)")]
    public decimal? S23 { get; set; }

    /// <summary>
    /// 交通费
    /// </summary>
    [Display(Name = "S66"), Description("交通费"), Column(TypeName = "decimal(18,2)")]
    public decimal? S66 { get; set; }

    /// <summary>
    /// 岗位津贴-无尘衣
    /// </summary>
    [Display(Name = "S68"), Description("岗位津贴-无尘衣"), Column(TypeName = "decimal(18,2)")]
    public decimal? S68 { get; set; }

    /// <summary>
    /// 岗位津贴化学品
    /// </summary>
    [Display(Name = "S70"), Description("岗位津贴化学品"), Column(TypeName = "decimal(18,2)")]
    public decimal? S70 { get; set; }

    /// <summary>
    /// 总金额
    /// </summary>
    [Display(Name = "TotalAmount"), Description("总金额"), Column(TypeName = "decimal(18,2)")]
    public decimal? TotalAmount { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 是否已读取
    /// </summary>
    public int? IsRead { get; set; }

    /// <summary>
    /// ResultCode
    /// </summary>
    public int? ResultCode { get; set; }

    /// <summary>
    /// ResultMsg
    /// </summary>
    [Display(Name = "ResultMsg"), Description("ResultMsg"), MaxLength(200, ErrorMessage = "ResultMsg 不能超过 200 个字符")]
    public string ResultMsg { get; set; }

    /// <summary>
    /// ResultID
    /// </summary>
    public int? ResultID { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
