﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghra_LegalCompany.cs
*
*功 能： N / A
* 类 名： Ghra_LegalCompany
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/9 10:50:26  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghra_LegalCompany (Dto.Base)
/// </summary>
public class Ghra_LegalCompanyBase
{

    /// <summary>
    /// LegalCompanyID
    /// </summary>
    public int? LegalCompanyID { get; set; }

    /// <summary>
    /// LegalCompanyNo
    /// </summary>
    [Display(Name = "LegalCompanyNo"), Description("LegalCompanyNo"), MaxLength(100, ErrorMessage = "LegalCompanyNo 不能超过 100 个字符")]
    public string LegalCompanyNo { get; set; }

    /// <summary>
    /// LegalCompanyName
    /// </summary>
    [Display(Name = "LegalCompanyName"), Description("LegalCompanyName"), MaxLength(1000, ErrorMessage = "LegalCompanyName 不能超过 1000 个字符")]
    public string LegalCompanyName { get; set; }

    /// <summary>
    /// LegalCompanyEname
    /// </summary>
    [Display(Name = "LegalCompanyEname"), Description("LegalCompanyEname"), MaxLength(1000, ErrorMessage = "LegalCompanyEname 不能超过 1000 个字符")]
    public string LegalCompanyEname { get; set; }

    /// <summary>
    /// ShortName
    /// </summary>
    [Display(Name = "ShortName"), Description("ShortName"), MaxLength(1000, ErrorMessage = "ShortName 不能超过 1000 个字符")]
    public string ShortName { get; set; }

    /// <summary>
    /// MKey
    /// </summary>
    [Display(Name = "MKey"), Description("MKey"), MaxLength(200, ErrorMessage = "MKey 不能超过 200 个字符")]
    public string MKey { get; set; }

    /// <summary>
    /// TaxFirstType
    /// </summary>
    [Display(Name = "TaxFirstType"), Description("TaxFirstType"), MaxLength(100, ErrorMessage = "TaxFirstType 不能超过 100 个字符")]
    public string TaxFirstType { get; set; }

    /// <summary>
    /// LegalCompanyTypeID
    /// </summary>
    public int? LegalCompanyTypeID { get; set; }

    /// <summary>
    /// LegalPerson
    /// </summary>
    [Display(Name = "LegalPerson"), Description("LegalPerson"), MaxLength(100, ErrorMessage = "LegalPerson 不能超过 100 个字符")]
    public string LegalPerson { get; set; }

    /// <summary>
    /// CompanyTel
    /// </summary>
    [Display(Name = "CompanyTel"), Description("CompanyTel"), MaxLength(1000, ErrorMessage = "CompanyTel 不能超过 1000 个字符")]
    public string CompanyTel { get; set; }

    /// <summary>
    /// RegisteredAddress
    /// </summary>
    [Display(Name = "RegisteredAddress"), Description("RegisteredAddress"), MaxLength(1000, ErrorMessage = "RegisteredAddress 不能超过 1000 个字符")]
    public string RegisteredAddress { get; set; }

    /// <summary>
    /// PostalCode
    /// </summary>
    [Display(Name = "PostalCode"), Description("PostalCode"), MaxLength(1000, ErrorMessage = "PostalCode 不能超过 1000 个字符")]
    public string PostalCode { get; set; }

    /// <summary>
    /// RelationAddress
    /// </summary>
    [Display(Name = "RelationAddress"), Description("RelationAddress"), MaxLength(1000, ErrorMessage = "RelationAddress 不能超过 1000 个字符")]
    public string RelationAddress { get; set; }

    /// <summary>
    /// RelationAddressEname
    /// </summary>
    [Display(Name = "RelationAddressEname"), Description("RelationAddressEname"), MaxLength(1000, ErrorMessage = "RelationAddressEname 不能超过 1000 个字符")]
    public string RelationAddressEname { get; set; }

    /// <summary>
    /// Email
    /// </summary>
    [Display(Name = "Email"), Description("Email"), MaxLength(1000, ErrorMessage = "Email 不能超过 1000 个字符")]
    public string Email { get; set; }

    /// <summary>
    /// WebSite
    /// </summary>
    [Display(Name = "WebSite"), Description("WebSite"), MaxLength(1000, ErrorMessage = "WebSite 不能超过 1000 个字符")]
    public string WebSite { get; set; }

    /// <summary>
    /// Fax
    /// </summary>
    [Display(Name = "Fax"), Description("Fax"), MaxLength(1000, ErrorMessage = "Fax 不能超过 1000 个字符")]
    public string Fax { get; set; }

    /// <summary>
    /// CertificateNo
    /// </summary>
    [Display(Name = "CertificateNo"), Description("CertificateNo"), MaxLength(1000, ErrorMessage = "CertificateNo 不能超过 1000 个字符")]
    public string CertificateNo { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// Reverse6
    /// </summary>
    [Display(Name = "Reverse6"), Description("Reverse6"), MaxLength(1000, ErrorMessage = "Reverse6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// Reverse7
    /// </summary>
    [Display(Name = "Reverse7"), Description("Reverse7"), MaxLength(1000, ErrorMessage = "Reverse7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// Reverse8
    /// </summary>
    [Display(Name = "Reverse8"), Description("Reverse8"), MaxLength(1000, ErrorMessage = "Reverse8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// Reverse9
    /// </summary>
    [Display(Name = "Reverse9"), Description("Reverse9"), MaxLength(1000, ErrorMessage = "Reverse9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// DataBelongID
    /// </summary>
    public int? DataBelongID { get; set; }
}
