﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_StaffGroup.cs
*
*功 能： N / A
* 类 名： Ghre_StaffGroup
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/5/29 11:45:39  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 员工群组 (Dto.Base)
/// </summary>
public class Ghre_StaffGroupBase
{

    /// <summary>
    /// 群组编号
    /// </summary>
    [Display(Name = "GroupNo"), Description("群组编号"), MaxLength(32, ErrorMessage = "群组编号 不能超过 32 个字符")]
    public string GroupNo { get; set; }

    /// <summary>
    /// 群组名称
    /// </summary>
    [Display(Name = "GroupName"), Description("群组名称"), MaxLength(32, ErrorMessage = "群组名称 不能超过 32 个字符")]
    public string GroupName { get; set; }

    /// <summary>
    /// 群组类别
    /// </summary>
    [Display(Name = "GroupType"), Description("群组类别"), MaxLength(32, ErrorMessage = "群组类别 不能超过 32 个字符")]
    public string GroupType { get; set; }

    /// <summary>
    /// 直间接
    /// </summary>
    [Display(Name = "StaffType1"), Description("直间接"), MaxLength(2000, ErrorMessage = "直间接 不能超过 2000 个字符")]
    public string StaffType1 { get; set; }

    /// <summary>
    /// 用工形式
    /// </summary>
    [Display(Name = "StaffType2"), Description("用工形式"), MaxLength(2000, ErrorMessage = "用工形式 不能超过 2000 个字符")]
    public string StaffType2 { get; set; }

    /// <summary>
    /// 厂区
    /// </summary>
    [Display(Name = "ZoneId"), Description("厂区"), MaxLength(2000, ErrorMessage = "厂区 不能超过 2000 个字符")]
    public string ZoneId { get; set; }

    /// <summary>
    /// 不包含厂区
    /// </summary>
    [Display(Name = "ExclZoneId"), Description("不包含厂区"), MaxLength(2000, ErrorMessage = "不包含厂区 不能超过 2000 个字符")]
    public string ExclZoneId { get; set; }

    /// <summary>
    /// 部门
    /// </summary>
    [Display(Name = "DeptId"), Description("部门"), MaxLength(2000, ErrorMessage = "部门 不能超过 2000 个字符")]
    public string DeptId { get; set; }

    /// <summary>
    /// 不包含部门
    /// </summary>
    [Display(Name = "ExclDeptId"), Description("不包含部门"), MaxLength(2000, ErrorMessage = "不包含部门 不能超过 2000 个字符")]
    public string ExclDeptId { get; set; }

    /// <summary>
    /// 岗位ID
    /// </summary>
    [Display(Name = "TitleId"), Description("岗位ID"), MaxLength(2000, ErrorMessage = "岗位ID 不能超过 2000 个字符")]
    public string TitleId { get; set; }

    /// <summary>
    /// 不包含岗位
    /// </summary>
    [Display(Name = "ExclTitleId"), Description("不包含岗位"), MaxLength(2000, ErrorMessage = "不包含岗位 不能超过 2000 个字符")]
    public string ExclTitleId { get; set; }

    /// <summary>
    /// 职等
    /// </summary>
    [Display(Name = "GradeId"), Description("职等"), MaxLength(2000, ErrorMessage = "职等 不能超过 2000 个字符")]
    public string GradeId { get; set; }

    /// <summary>
    /// 不包含职等
    /// </summary>
    [Display(Name = "ExclGradeId"), Description("不包含职等"), MaxLength(2000, ErrorMessage = "不包含职等 不能超过 2000 个字符")]
    public string ExclGradeId { get; set; }

    /// <summary>
    /// 职称
    /// </summary>
    [Display(Name = "JobId"), Description("职称"), MaxLength(2000, ErrorMessage = "职称 不能超过 2000 个字符")]
    public string JobId { get; set; }

    /// <summary>
    /// 不包含职称
    /// </summary>
    [Display(Name = "ExclJobId"), Description("不包含职称"), MaxLength(2000, ErrorMessage = "不包含职称 不能超过 2000 个字符")]
    public string ExclJobId { get; set; }

    /// <summary>
    /// 员工
    /// </summary>
    [Display(Name = "StaffId"), Description("员工"), MaxLength(2000, ErrorMessage = "员工 不能超过 2000 个字符")]
    public string StaffId { get; set; }

    /// <summary>
    /// 不包含员工
    /// </summary>
    [Display(Name = "ExclStaffId"), Description("不包含员工"), MaxLength(2000, ErrorMessage = "不包含员工 不能超过 2000 个字符")]
    public string ExclStaffId { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 集团数据归属
    /// </summary>
    public int? DataBelongID { get; set; }

    /// <summary>
    /// 直间接
    /// </summary>
    public List<string> StaffType1s { get; set; } = new List<string>();

    /// <summary>
    /// 用工形式
    /// </summary>
    public List<string> StaffType2s { get; set; } = new List<string>();

    /// <summary>
    /// 厂区
    /// </summary>
    public List<long> ZoneIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含厂区
    /// </summary>
    public List<long> ExclZoneIds { get; set; } = new List<long>();

    /// <summary>
    /// 部门
    /// </summary>
    public List<long> DeptIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含部门
    /// </summary>
    public List<long> ExclDeptIds { get; set; } = new List<long>();

    /// <summary>
    /// 岗位ID
    /// </summary>
    public List<long> TitleIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含岗位
    /// </summary>
    public List<long> ExclTitleIds { get; set; } = new List<long>();

    /// <summary>
    /// 职等
    /// </summary>
    public List<long> GradeIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含职等
    /// </summary>
    public List<long> ExclGradeIds { get; set; } = new List<long>();

    /// <summary>
    /// 职称
    /// </summary>
    public List<long> JobIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含职称
    /// </summary>
    public List<long> ExclJobIds { get; set; } = new List<long>();

    /// <summary>
    /// 员工
    /// </summary>
    public List<long> StaffIds { get; set; } = new List<long>();

    /// <summary>
    /// 不包含员工
    /// </summary>
    public List<long> ExclStaffIds { get; set; } = new List<long>();
}
