﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_YearHumanSettings.cs
*
*功 能： N / A
* 类 名： Ghrh_YearHumanSettings
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/11 13:43:39  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 年度人力配置 (Dto.Base)
/// </summary>
public class Ghrh_YearHumanSettingsBase
{

    /// <summary>
    /// 年度
    /// </summary>
    public int? Year { get; set; }

    /// <summary>
    /// 部门ID
    /// </summary>
    public int? DeptId { get; set; }

    /// <summary>
    /// 职称ID
    /// </summary>
    public int? TitleId { get; set; }

    /// <summary>
    /// 职等ID
    /// </summary>
    public int? GradeId { get; set; }

    /// <summary>
    /// 岗位ID
    /// </summary>
    public int? JobId { get; set; }

    /// <summary>
    /// 1月
    /// </summary>
    public int? M1 { get; set; }

    /// <summary>
    /// 2月
    /// </summary>
    public int? M2 { get; set; }

    /// <summary>
    /// 3月
    /// </summary>
    public int? M3 { get; set; }

    /// <summary>
    /// 4月
    /// </summary>
    public int? M4 { get; set; }

    /// <summary>
    /// 5月
    /// </summary>
    public int? M5 { get; set; }

    /// <summary>
    /// 6月
    /// </summary>
    public int? M6 { get; set; }

    /// <summary>
    /// 7月
    /// </summary>
    public int? M7 { get; set; }

    /// <summary>
    /// 8月
    /// </summary>
    public int? M8 { get; set; }

    /// <summary>
    /// 9月
    /// </summary>
    public int? M9 { get; set; }

    /// <summary>
    /// 10月
    /// </summary>
    public int? M10 { get; set; }

    /// <summary>
    /// 11月
    /// </summary>
    public int? M11 { get; set; }

    /// <summary>
    /// 12月
    /// </summary>
    public int? M12 { get; set; }

    /// <summary>
    /// 1月调整数
    /// </summary>
    public int? M1_A { get; set; }

    /// <summary>
    /// 2月调整数
    /// </summary>
    public int? M2_A { get; set; }

    /// <summary>
    /// 3月调整数
    /// </summary>
    public int? M3_A { get; set; }

    /// <summary>
    /// 4月调整数
    /// </summary>
    public int? M4_A { get; set; }

    /// <summary>
    /// 5月调整数
    /// </summary>
    public int? M5_A { get; set; }

    /// <summary>
    /// 6月调整数
    /// </summary>
    public int? M6_A { get; set; }

    /// <summary>
    /// 7月调整数
    /// </summary>
    public int? M7_A { get; set; }

    /// <summary>
    /// 8月调整数
    /// </summary>
    public int? M8_A { get; set; }

    /// <summary>
    /// 9月调整数
    /// </summary>
    public int? M9_A { get; set; }

    /// <summary>
    /// 10月调整数
    /// </summary>
    public int? M10_A { get; set; }

    /// <summary>
    /// 11月调整数
    /// </summary>
    public int? M11_A { get; set; }

    /// <summary>
    /// 12月调整数
    /// </summary>
    public int? M12_A { get; set; }

    /// <summary>
    /// 发起人ID
    /// </summary>
    public int? ApplicantId { get; set; }

    /// <summary>
    /// WorkID
    /// </summary>
    public int? WorkID { get; set; }

    /// <summary>
    /// WorkNo
    /// </summary>
    [Display(Name = "WorkNo"), Description("WorkNo"), MaxLength(100, ErrorMessage = "WorkNo 不能超过 100 个字符")]
    public string WorkNo { get; set; }

    /// <summary>
    /// ToDoType
    /// </summary>
    [Display(Name = "ToDoType"), Description("ToDoType"), MaxLength(100, ErrorMessage = "ToDoType 不能超过 100 个字符")]
    public string ToDoType { get; set; }

    /// <summary>
    /// BatchSID
    /// </summary>
    [Display(Name = "BatchSID"), Description("BatchSID"), MaxLength(100, ErrorMessage = "BatchSID 不能超过 100 个字符")]
    public string BatchSID { get; set; }

    /// <summary>
    /// WorkState
    /// </summary>
    public int? WorkState { get; set; }

    /// <summary>
    /// ShiftID
    /// </summary>
    public int? ShiftID { get; set; }

    /// <summary>
    /// ConfirmUserID
    /// </summary>
    public int? ConfirmUserID { get; set; }

    /// <summary>
    /// ConfirmTime
    /// </summary>
    public DateTime? ConfirmTime { get; set; }

    /// <summary>
    /// ConfirmComment
    /// </summary>
    [Display(Name = "ConfirmComment"), Description("ConfirmComment"), MaxLength(2000, ErrorMessage = "ConfirmComment 不能超过 2000 个字符")]
    public string ConfirmComment { get; set; }

    /// <summary>
    /// 同意人
    /// </summary>
    public long? AgreeUserId { get; set; }

    /// <summary>
    /// 同意时间
    /// </summary>
    public DateTime? AgreeTime { get; set; }

    /// <summary>
    /// 同意理由
    /// </summary>
    [Display(Name = "AgreeReason"), Description("同意理由"), MaxLength(2000, ErrorMessage = "同意理由 不能超过 2000 个字符")]
    public string AgreeReason { get; set; }

    /// <summary>
    /// 拒绝人
    /// </summary>
    public long? RefuseUserId { get; set; }

    /// <summary>
    /// 拒绝时间
    /// </summary>
    public DateTime? RefuseTime { get; set; }

    /// <summary>
    /// 拒绝理由
    /// </summary>
    [Display(Name = "RefuseReason"), Description("拒绝理由"), MaxLength(2000, ErrorMessage = "拒绝理由 不能超过 2000 个字符")]
    public string RefuseReason { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 申请单ID
    /// </summary>
    public long? OrderId { get; set; }
}
