﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrp_PerformancePeriod.cs
*
*功 能： N / A
* 类 名： Ghrp_PerformancePeriod
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/4/16 14:36:35  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 考核期间 (Dto.Base)
/// </summary>
public class Ghrp_PerformancePeriodBase
{
    /// <summary>
    /// 年度
    /// </summary>
    [Display(Name = "YYYY"), Description("年度"), MaxLength(50, ErrorMessage = "年度 不能超过 50 个字符")]
    public string YYYY { get; set; }
    /// <summary>
    /// 期间编号
    /// </summary>
    [Display(Name = "PeriodNo"), Description("期间编号"), MaxLength(50, ErrorMessage = "期间编号 不能超过 50 个字符")]
    public string PeriodNo { get; set; }

    /// <summary>
    /// 期间名称
    /// </summary>
    [Display(Name = "PeriodName"), Description("期间名称"), MaxLength(50, ErrorMessage = "期间名称 不能超过 50 个字符")]
    public string PeriodName { get; set; }

    /// <summary>
    /// 考核周期类别ID
    /// </summary>
    public long? PerformancePeriodTypeID { get; set; }

    /// <summary>
    /// 考核周期类别
    /// </summary>
    [Display(Name = "PeriodType"), Description("考核周期类别"), MaxLength(255, ErrorMessage = "考核周期类别 不能超过 255 个字符")]
    public string PeriodType { get; set; }

    /// <summary>
    /// 考核阶段数
    /// </summary>
    [Display(Name = "Stage"), Description("考核阶段数"), MaxLength(255, ErrorMessage = "考核阶段数 不能超过 255 个字符")]
    public string Stage { get; set; }

    /// <summary>
    /// 阶段名称
    /// </summary>
    [Display(Name = "StageItem"), Description("阶段名称"), MaxLength(255, ErrorMessage = "阶段名称 不能超过 255 个字符")]
    public string StageItem { get; set; }

    /// <summary>
    /// 当期类别
    /// </summary>
    public int? PeriodNum { get; set; }

    /// <summary>
    /// 当期是否启用
    /// </summary>
    public int? IsUsing { get; set; }

    /// <summary>
    /// 期间开始日
    /// </summary>
    public string? BeginDate { get; set; }

    /// <summary>
    /// 期间结束日
    /// </summary>
    public string? EndDate { get; set; }

    /// <summary>
    /// 员工填写开始日
    /// </summary>
    public string? StaffBeginDate { get; set; }

    /// <summary>
    /// 员工填写结束日
    /// </summary>
    public string? StaffEndDate { get; set; }

    /// <summary>
    /// 主管填写开始日
    /// </summary>
    public string? MGBeginDate { get; set; }

    /// <summary>
    /// 主管填写结束日
    /// </summary>
    public string? MGEndDate { get; set; }

    /// <summary>
    /// 人员状态基准日
    /// </summary>
    public string? OnJobBaseDate { get; set; }

    /// <summary>
    /// 前置期间
    /// </summary>
    public long? PrePerformancePeriodID { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }

    /// <summary>
    /// 内置
    /// </summary>
    public int? BuiltIn { get; set; }
}
