﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrs_MailOutbox.cs
*
*功 能： N / A
* 类 名： Ghrs_MailOutbox
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/12/4 22:10:27  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// Ghrs_MailOutbox (Dto.Base)
/// </summary>
public class Ghrs_MailOutboxBase
{

    /// <summary>
    /// MailOutboxID
    /// </summary>
    public int? MailOutboxID { get; set; }

    /// <summary>
    /// ToStaffID
    /// </summary>
    public int? ToStaffID { get; set; }

    /// <summary>
    /// ToStaffName
    /// </summary>
    [Display(Name = "ToStaffName"), Description("ToStaffName"), MaxLength(100, ErrorMessage = "ToStaffName 不能超过 100 个字符")]
    public string ToStaffName { get; set; }

    /// <summary>
    /// TOMail
    /// </summary>
    [Display(Name = "TOMail"), Description("TOMail"), MaxLength(1000, ErrorMessage = "TOMail 不能超过 1000 个字符")]
    public string TOMail { get; set; }

    /// <summary>
    /// CCMail
    /// </summary>
    [Display(Name = "CCMail"), Description("CCMail"), MaxLength(1000, ErrorMessage = "CCMail 不能超过 1000 个字符")]
    public string CCMail { get; set; }

    /// <summary>
    /// BCCMail
    /// </summary>
    [Display(Name = "BCCMail"), Description("BCCMail"), MaxLength(1000, ErrorMessage = "BCCMail 不能超过 1000 个字符")]
    public string BCCMail { get; set; }

    /// <summary>
    /// MailBody
    /// </summary>
    [Display(Name = "MailBody"), Description("MailBody"), MaxLength(-1, ErrorMessage = "MailBody 不能超过 -1 个字符")]
    public string MailBody { get; set; }

    /// <summary>
    /// MailTitle
    /// </summary>
    [Display(Name = "MailTitle"), Description("MailTitle"), MaxLength(2000, ErrorMessage = "MailTitle 不能超过 2000 个字符")]
    public string MailTitle { get; set; }

    /// <summary>
    /// MailPriority
    /// </summary>
    public int? MailPriority { get; set; }

    /// <summary>
    /// AttachFiles
    /// </summary>
    [Display(Name = "AttachFiles"), Description("AttachFiles"), MaxLength(2000, ErrorMessage = "AttachFiles 不能超过 2000 个字符")]
    public string AttachFiles { get; set; }

    /// <summary>
    /// ScheduleTime
    /// </summary>
    public DateTime? ScheduleTime { get; set; }

    /// <summary>
    /// SendMail
    /// </summary>
    [Display(Name = "SendMail"), Description("SendMail"), MaxLength(1000, ErrorMessage = "SendMail 不能超过 1000 个字符")]
    public string SendMail { get; set; }

    /// <summary>
    /// MailServer
    /// </summary>
    [Display(Name = "MailServer"), Description("MailServer"), MaxLength(1000, ErrorMessage = "MailServer 不能超过 1000 个字符")]
    public string MailServer { get; set; }

    /// <summary>
    /// MailType
    /// </summary>
    [Display(Name = "MailType"), Description("MailType"), MaxLength(100, ErrorMessage = "MailType 不能超过 100 个字符")]
    public string MailType { get; set; }

    /// <summary>
    /// Port
    /// </summary>
    public int? Port { get; set; }

    /// <summary>
    /// SendMailAccount
    /// </summary>
    [Display(Name = "SendMailAccount"), Description("SendMailAccount"), MaxLength(1000, ErrorMessage = "SendMailAccount 不能超过 1000 个字符")]
    public string SendMailAccount { get; set; }

    /// <summary>
    /// SendMailPwd
    /// </summary>
    [Display(Name = "SendMailPwd"), Description("SendMailPwd"), MaxLength(1000, ErrorMessage = "SendMailPwd 不能超过 1000 个字符")]
    public string SendMailPwd { get; set; }

    /// <summary>
    /// EnableSslYN
    /// </summary>
    [Display(Name = "EnableSslYN"), Description("EnableSslYN"), MaxLength(1000, ErrorMessage = "EnableSslYN 不能超过 1000 个字符")]
    public string EnableSslYN { get; set; }

    /// <summary>
    /// UseDefaultCredentialsYN
    /// </summary>
    [Display(Name = "UseDefaultCredentialsYN"), Description("UseDefaultCredentialsYN"), MaxLength(1000, ErrorMessage = "UseDefaultCredentialsYN 不能超过 1000 个字符")]
    public string UseDefaultCredentialsYN { get; set; }

    /// <summary>
    /// Tls12YN
    /// </summary>
    [Display(Name = "Tls12YN"), Description("Tls12YN"), MaxLength(1000, ErrorMessage = "Tls12YN 不能超过 1000 个字符")]
    public string Tls12YN { get; set; }

    /// <summary>
    /// RemarkSz
    /// </summary>
    [Display(Name = "RemarkSz"), Description("RemarkSz"), MaxLength(2000, ErrorMessage = "RemarkSz 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// SortNo
    /// </summary>
    public int? SortNo { get; set; }

    /// <summary>
    /// IsDefault
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// CompanyID
    /// </summary>
    public int? CompanyID { get; set; }

    /// <summary>
    /// ReverseN1
    /// </summary>
    public int? ReverseN1 { get; set; }

    /// <summary>
    /// ReverseN2
    /// </summary>
    public int? ReverseN2 { get; set; }

    /// <summary>
    /// ReverseD1
    /// </summary>
    public int? ReverseD1 { get; set; }

    /// <summary>
    /// ReverseD2
    /// </summary>
    public int? ReverseD2 { get; set; }

    /// <summary>
    /// Reverse1
    /// </summary>
    [Display(Name = "Reverse1"), Description("Reverse1"), MaxLength(1000, ErrorMessage = "Reverse1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// Reverse2
    /// </summary>
    [Display(Name = "Reverse2"), Description("Reverse2"), MaxLength(1000, ErrorMessage = "Reverse2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// Reverse3
    /// </summary>
    [Display(Name = "Reverse3"), Description("Reverse3"), MaxLength(1000, ErrorMessage = "Reverse3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// Reverse4
    /// </summary>
    [Display(Name = "Reverse4"), Description("Reverse4"), MaxLength(1000, ErrorMessage = "Reverse4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// Reverse5
    /// </summary>
    [Display(Name = "Reverse5"), Description("Reverse5"), MaxLength(1000, ErrorMessage = "Reverse5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }
}
