﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_Config.cs
*
*功 能： N / A
* 类 名： Ghre_Config
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/9/23 9:34:13  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/
namespace Tiobon.Core.Model.Models;


/// <summary>
/// 参数配置 (Model)
/// </summary>
[SugarTable("Ghre_Config", "Ghre_Config"), Entity(TableCnName = "参数配置", TableName = "Ghre_Config")]
public class Ghre_Config : BasePoco
{

    /// <summary>
    /// 参数名称
    /// </summary>
    [Display(Name = "ConfigName"), Description("参数名称"), MaxLength(32, ErrorMessage = "参数名称 不能超过 32 个字符")]
    public string ConfigName { get; set; }

    /// <summary>
    /// 参数代码
    /// </summary>
    [Display(Name = "ConfigCode"), Description("参数代码"), MaxLength(64, ErrorMessage = "参数代码 不能超过 64 个字符")]
    public string ConfigCode { get; set; }

    /// <summary>
    /// 参数值
    /// </summary>
    [Display(Name = "ConfigValue"), Description("参数值"), MaxLength(32, ErrorMessage = "参数值 不能超过 32 个字符")]
    public string ConfigValue { get; set; }

    /// <summary>
    /// 参数类型
    /// </summary>
    [Display(Name = "InputType"), Description("参数类型"), MaxLength(32, ErrorMessage = "参数类型 不能超过 32 个字符")]
    public string InputType { get; set; }

    /// <summary>
    /// 配置内容
    /// </summary>
    [Display(Name = "AvailableValue"), Description("配置内容"), MaxLength(128, ErrorMessage = "配置内容 不能超过 128 个字符")]
    public string AvailableValue { get; set; }

    /// <summary>
    /// 排序
    /// </summary>
    public int? Sequence { get; set; }

    /// <summary>
    /// 是否多选
    /// </summary>
    public bool? IsMultiple { get; set; }

    /// <summary>
    /// 备注
    /// </summary>
    [Display(Name = "RemarkSz"), Description("备注"), MaxLength(2000, ErrorMessage = "备注 不能超过 2000 个字符")]
    public string RemarkSz { get; set; }

    /// <summary>
    /// 默认标志
    /// </summary>
    public int? IsDefault { get; set; }

    /// <summary>
    /// 预留字段1
    /// </summary>
    [Display(Name = "Reverse1"), Description("预留字段1"), MaxLength(1000, ErrorMessage = "预留字段1 不能超过 1000 个字符")]
    public string Reverse1 { get; set; }

    /// <summary>
    /// 预留字段2
    /// </summary>
    [Display(Name = "Reverse2"), Description("预留字段2"), MaxLength(1000, ErrorMessage = "预留字段2 不能超过 1000 个字符")]
    public string Reverse2 { get; set; }

    /// <summary>
    /// 预留字段3
    /// </summary>
    [Display(Name = "Reverse3"), Description("预留字段3"), MaxLength(1000, ErrorMessage = "预留字段3 不能超过 1000 个字符")]
    public string Reverse3 { get; set; }

    /// <summary>
    /// 预留字段4
    /// </summary>
    [Display(Name = "Reverse4"), Description("预留字段4"), MaxLength(1000, ErrorMessage = "预留字段4 不能超过 1000 个字符")]
    public string Reverse4 { get; set; }

    /// <summary>
    /// 预留字段5
    /// </summary>
    [Display(Name = "Reverse5"), Description("预留字段5"), MaxLength(1000, ErrorMessage = "预留字段5 不能超过 1000 个字符")]
    public string Reverse5 { get; set; }

    /// <summary>
    /// 预留字段6
    /// </summary>
    [Display(Name = "Reverse6"), Description("预留字段6"), MaxLength(1000, ErrorMessage = "预留字段6 不能超过 1000 个字符")]
    public string Reverse6 { get; set; }

    /// <summary>
    /// 预留字段7
    /// </summary>
    [Display(Name = "Reverse7"), Description("预留字段7"), MaxLength(1000, ErrorMessage = "预留字段7 不能超过 1000 个字符")]
    public string Reverse7 { get; set; }

    /// <summary>
    /// 预留字段8
    /// </summary>
    [Display(Name = "Reverse8"), Description("预留字段8"), MaxLength(1000, ErrorMessage = "预留字段8 不能超过 1000 个字符")]
    public string Reverse8 { get; set; }

    /// <summary>
    /// 预留字段9
    /// </summary>
    [Display(Name = "Reverse9"), Description("预留字段9"), MaxLength(1000, ErrorMessage = "预留字段9 不能超过 1000 个字符")]
    public string Reverse9 { get; set; }

    /// <summary>
    /// 预留字段10
    /// </summary>
    [Display(Name = "Reverse10"), Description("预留字段10"), MaxLength(1000, ErrorMessage = "预留字段10 不能超过 1000 个字符")]
    public string Reverse10 { get; set; }

    /// <summary>
    /// 预留字段11
    /// </summary>
    public int? ReverseI1 { get; set; }

    /// <summary>
    /// 预留字段12
    /// </summary>
    public int? ReverseI2 { get; set; }
}
