﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghre_OpenClass.cs
*
*功 能： N / A
* 类 名： Ghre_OpenClass
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/2/8 14:35:04  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 开班管理(Dto.View1)
/// </summary>
public class Ghre_OpenClassDto : Ghre_OpenClass
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 关联课程/场景
    /// </summary>
    public string CourseOrSceneName { get; set; }

    /// <summary>
    /// 开班起止日期
    /// </summary>
    public string StartEndTime1 { get; set; }


    /// <summary>
    /// 报名起止日期
    /// </summary>
    public string RegisterStartEndTime1 { get; set; }

    /// <summary>
    /// 考试起止日期
    /// </summary>
    public string ExamStartEndTime1 { get; set; }

    /// <summary>
    /// 试卷
    /// </summary>
    public string ExamPaperName { get; set; }


    /// <summary>
    /// 开班负责人
    /// </summary>
    public string ManagerName { get; set; }

    /// <summary>
    /// 讲师
    /// </summary>
    public string TeacherName { get; set; }

    /// <summary>
    /// 课程ID
    /// </summary>
    public long? CourseId { get; set; }

    /// <summary>
    /// 课程场景ID
    /// </summary>
    public long? CourseSceneId { get; set; }

    public List<DateTime?> StartEndTime { get; set; } = new List<DateTime?>();

    public List<DateTime?> RegisterStartEndTime { get; set; } = new List<DateTime?>();

    public List<DateTime?> ExamStartEndTime { get; set; } = new List<DateTime?>();

    /// <summary>
    /// 开班课表
    /// </summary>
    public List<Ghre_OpenClassScheduleDto> Schedules { get; set; } = new List<Ghre_OpenClassScheduleDto>();

    /// <summary>
    /// 开班课表
    /// </summary>
    public List<Ghre_Attachment> Attachments { get; set; } = new List<Ghre_Attachment>();

    /// <summary>
    /// 培训计划
    /// </summary>
    public string PlanName { get; set; }
    public string DataBelongName { get; set; }
}

