﻿/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrh_HumanRequest.cs
*
*功 能： N / A
* 类 名： Ghrh_HumanRequest
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2024/11/1 10:14:40  SimonHsiao   初版
*
* Copyright(c) 2024 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 人力需求维护(Dto.View1)
/// </summary>
public class Ghrh_HumanRequestDto : Ghrh_HumanRequest
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }

    /// <summary>
    /// 部门
    /// </summary>
    public string DeptName { get; set; }

    /// <summary>
    /// 职称
    /// </summary>
    public string JobName { get; set; }

    /// <summary>
    /// 岗位
    /// </summary>
    public string TitleName { get; set; }

    /// <summary>
    /// 职等
    /// </summary>
    public string GradeName { get; set; }

    /// <summary>
    /// 部门负责人ID
    /// </summary>
    public int? DeptManagerID { get; set; }

    /// <summary>
    /// 部门负责人邮箱
    /// </summary>
    public string DeptManagerEmail { get; set; }

    /// <summary>
    /// 编制内外
    /// </summary>
    public string InOrOutLabel { get; set; }

    /// <summary>
    /// 性别
    /// </summary>
    public string GenderLabel { get; set; }

    /// <summary>
    /// 重要度
    /// </summary>
    public string ImportanceDegreeLabel { get; set; }

    /// <summary>
    /// 年度人力配置单
    /// </summary>
    public string YearHumanName { get; set; }

    /// <summary>
    /// 汇报对象
    /// </summary>
    public string ReportName { get; set; }

    /// <summary>
    /// 建议到岗时间
    /// </summary>
    public string InTime1 { get; set; }
    /// <summary>
    /// 年龄
    /// </summary>
    public string AgeLabel { get; set; }
    /// <summary>
    /// 招聘类别
    /// </summary>
    public string ResumeTypeLabel { get; set; }

    /// <summary>
    /// 同意人
    /// </summary>
    public string AgreeUserName { get; set; }

    /// <summary>
    /// 驳回人
    /// </summary>

    public string RefuseUserName { get; set; }

    /// <summary>
    /// 流程状态
    /// </summary>

    public string WorkStateLabel { get; set; }

    /// <summary>
    /// 素质要求
    /// </summary>
    public List<string> Quality { get; set; }


    /// <summary>
    /// 经验要求
    /// </summary>
    public List<Ghrh_HumanRequestExperience> Experience { get; set; }
    public int InCount { get; set; }
    public int OutCount { get; set; }
    public string Year { get; set; }
    public string Month { get; set; }

    public int InRequestCount { get; set; }
    public int InRecommendCount { get; set; }
    public int InInterviewCount { get; set; }
    public int InOfferCount { get; set; }
    public int InCheckInCount { get; set; }

    public int OutRequestCount { get; set; }
    public int OutRecommendCount { get; set; }
    public int OutInterviewCount { get; set; }
    public int OutOfferCount { get; set; }
    public int OutCheckInCount { get; set; }
    public int ResumeCount { get; set; }


}
