﻿namespace Tiobon.Core.Services;

/// <summary>
/// 参数配置组 (服务)
/// </summary>
public class Ghre_ConfigGroupServices : BaseServices<Ghre_ConfigGroup, Ghre_ConfigGroupDto, InsertGhre_ConfigGroupInput, EditGhre_ConfigGroupInput>, IGhre_ConfigGroupServices
{
    private readonly IBaseRepository<Ghre_ConfigGroup> _dal;
    public Ghre_ConfigGroupServices(ICaching caching, IBaseRepository<Ghre_ConfigGroup> dal)
    {
        this._dal = dal;
        base.BaseDal = dal;
        base._caching = caching;
    }

    public override async Task<ServicePageResult<Ghre_ConfigGroupDto>> QueryFilterPage(QueryBody filter, string condition, bool? IsEnable = true)
    {
        filter.orderBy = "SortNo ASC";
        var result = await base.QueryFilterPage(filter, condition, IsEnable);
      
        return result;
    }
}